Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Eclipse 4 » e4 Target Platform
e4 Target Platform [message #889903] Wed, 20 June 2012 04:11 Go to next message
Timur Achmetow is currently offline Timur Achmetow
Messages: 38
Registered: April 2012
Member
Hello,

I have checked out the whole e4 code from the GIT repos.
What target platform i have to use for this code?
Re: e4 Target Platform [message #889963 is a reply to message #889903] Wed, 20 June 2012 08:14 Go to previous messageGo to next message
Brian de Alwis is currently offline Brian de Alwis
Messages: 242
Registered: July 2009
Senior Member
Hi Tim.

There are three possible repos that you'd need to check out, depepdning on what you're trying to do:

http://git.eclipse.org/c/e4/org.eclipse.e4.tools.git hosts the Eclipse 4 tools, like the model editor, the CSS editor, and the CSS spy.

http://git.eclipse.org/c/platform/eclipse.platform.ui.git is the Platform UI code base. The Eclipse 4 platform has been merged into this repository since last year.

http://git.eclipse.org/c/e4/org.eclipse.e4.ui.git is the old Eclipse 4 code -- it has since graduated from the e4 incubator and been merged into the Platform UI code base. This repository is effectively obsolete.

What are you trying to do?
Re: e4 Target Platform [message #890067 is a reply to message #889963] Wed, 20 June 2012 17:47 Go to previous messageGo to next message
Timur Achmetow is currently offline Timur Achmetow
Messages: 38
Registered: April 2012
Member
Thanks for your answer Brian!

I want to reuse the e4 Quick Search in my application.
First I have to check out the required code, I think it's the repo: eclipse.platform.ui.git
What target platform I have to use for this bundles?
Re: e4 Target Platform [message #890194 is a reply to message #890067] Thu, 21 June 2012 08:22 Go to previous messageGo to next message
Brian de Alwis is currently offline Brian de Alwis
Messages: 242
Registered: July 2009
Senior Member
Right -- you want the platform/eclipse.platform.ui.git repo. If you develop using 4.2, you won't need to worry about setting up a target platform for the next while as everything will be based on 4.2. Or put another way, your 4.2 installation is the target platform for now.

Brian.
Re: e4 Target Platform [message #890201 is a reply to message #890067] Thu, 21 June 2012 08:35 Go to previous messageGo to next message
Paul Webster is currently offline Paul Webster
Messages: 6859
Registered: July 2009
Location: Ottawa
Senior Member

As Brian mentioned, the Eclipse 4.2 SDK will provide the correct target platform for you to work with the bundles in eclipse.platform.ui.git.

You want to start off by importing org.eclipse.ui.workbench, that's where the Quick Access/Search Field code is.

PW


Re: e4 Target Platform [message #890297 is a reply to message #890201] Thu, 21 June 2012 15:39 Go to previous messageGo to next message
Timur Achmetow is currently offline Timur Achmetow
Messages: 38
Registered: April 2012
Member
Thank you guys for the fast answers. I take the eclipse 4.2 as TP.
Re: e4 Target Platform [message #892022 is a reply to message #890297] Tue, 26 June 2012 16:50 Go to previous messageGo to next message
Lars Vogel is currently offline Lars Vogel
Messages: 1049
Registered: July 2009
Senior Member

I think http://download.eclipse.org/releases/juno/ should also work, if you select the "Eclipse RCP SDK 4.2.0".

Re: e4 Target Platform [message #892346 is a reply to message #892022] Wed, 27 June 2012 16:26 Go to previous message
Timur Achmetow is currently offline Timur Achmetow
Messages: 38
Registered: April 2012
Member
okay, thank you Lars
Previous Topic:e4 annotations disappearing (Syntax is a monda)
Next Topic:Menu Contribution appears multiple times on restart
Goto Forum:
  


Current Time: Sat Aug 30 06:38:48 EDT 2014

Powered by FUDForum. Page generated in 0.01830 seconds